function g=BMM_moment_SARX_het(parm,Y,X,Ystar,W,N)
% Forms BMM moment conditions assuming heteroskedastic errors
% Y: N by 1
% X: N by k
% parm: (k+1) by 1

k = size(X,2);  
rho = parm(1);
betavec = parm(2:k+1); 
ehatN = Y - rho*Ystar - X*betavec; 
S = speye(N)-rho*W;
G = W/S;    
f1 = Ystar'*ehatN/N - sum(diag(G).*ehatN.^2)/N;
f2 = X'*ehatN/N;   
g = [f1;f2];

end