function g=BMM_moment_SARX_iid(parm,Y,X,Ystar,W,N)
% Forms BMM moment conditions assuming homoskedastic errors
% Y: N by 1
% X: N by k
% parm: (k+2) by 1

k = size(X,2);  
rho = parm(1);
betavec = parm(2:k+1);
sige2 = parm(k+2);
ehatN = Y - rho*Ystar - X*betavec;
S = speye(N)-rho*W;
G = W/S;
f1 = Ystar'*ehatN/N - sige2*trace(G)/N;
f2 = X'*ehatN/N;
f3 = ehatN'*ehatN/N - sige2;
g = [f1;f2;f3];

end